阿里云服务器“wordpress IP验证不当”漏洞怎么修复?

 2018-04-11 09:08:07  31 人阅读  0 条评论
 最佳答案:

以 WordPress 4.9.5 版本为例进行修复阿里云服务器提示的“wordpress IP 验证不当”漏洞,具体修复办法如下:

在网站根目录找到 wp-includes/http.php 文件,用 Notepad++打开(修改之前记得先备份 http.php 文件以防出错),把 533 行的代码(其他的 WordPress 版本行数会不一样,自行用关键词进行查找):

  1. $same_host = strtolower$parsed_home['host'] ) === strtolower$parsed_url['host'] );

修改为

  1. $same_host = (  strtolower$parsed_home['host'] ) === strtolower$parsed_url['host'] ) || 'localhost' == strtolower($parsed_url['host']));

把 549 行的代码

  1. if ( 127 === $parts[0] || 10 === $parts[0] || 0 === $parts[0]

修改为

  1. if ( 127 === $parts[0] || 10 === $parts[0] || 0 === $parts[0] || 0 === $parts[0]

即可成功修复“wordpress IP 验证不当”漏洞。

答案来自:里维斯社 - https://www.liwei8090.com/2831.html

问题标签: ,   ,  更多问题标签>>
编辑作者:懿古今(QQ号:2226524923,QQ群:415623933
免责声明:本文内容来源于互联网,仅供参考学习之用,如有侵权请联系本站修改删除!
问题分类:WordPress问题 ,  建站技术问题 ,  操作系统问题 ,  办公软件问题 ,  搜索热点问题 ,  综合其他问题

相关问题 热门问题近期问题随机标签

 发表评论

中国赞表情摊手表情吃瓜表情笑哭表情偷笑表情衰表情汗表情思考表情费解表情抓狂表情晕表情流泪表情疑问表情嘻嘻表情吃惊表情鼓掌表情